//! # Nostr Protocol Types
//!
//! The types needed to interact with a Nostr relayer, or to be become one.
#![deny(missing_docs, warnings)]

pub mod client;
pub mod common;
pub mod relayer;
pub mod request;
pub mod response;
pub mod types;

pub use self::{request::Request, response::Response};

#[macro_use]
extern crate custom_derive;
#[macro_use]
extern crate enum_derive;
